Subject: Re: linux-next: build failure after merge of the staging tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 2 Aug 2018 01:07:05 +1000

Hi Chao,

On Wed, 1 Aug 2018 17:09:13 +0800 Chao Yu <[email-masked]> wrote:
>
> Xiang has submitted several patches as below to fix compiling error on -next
> tree, could you consider to merge those temporary fixes into -next after merging
> staging-next's updates, and reenable CONFIG_EROFS_FS for further integrity
> compiling and test?
> 
> staging: erofs: fix superblock/inode flags (MS_RDONLY -> SB_RDONLY, S_NOATIME)
> https://lists.ozlabs.org/pipermail/linux-erofs/2018-July/000282.html
> 
> staging: erofs: remove RADIX_TREE_EXCEPTIONAL_{ENTRY, SHIFT}
> https://lists.ozlabs.org/pipermail/linux-erofs/2018-July/000283.html
> 
> staging: erofs: update .mount and .remount_sb
> https://lists.ozlabs.org/pipermail/linux-erofs/2018-July/000285.html

OK, I will apply those tomorrow (actually later today :-)) and and stop
disabling CONFIG_EROFS_FS.

> BTW, for this condition that erofs was not covered by some common vfs
> stuff changes in other one's tree, who should take care of those
> missing fixes during coming next merge window?

It might be easiest for Greg to add the disabling CONFIG_EROFS_FS patch
to the staging tree itself for his first pull request during the merge
window and then send a second pull request (after the vfs and maybe the
Xarray stuff has been merged by Linus) with these patches followed by a
revert of the disabling patch.

-- 
Cheers,
Stephen Rothwell